Bug 555376 - Review Request: lorem-ipsum-generator - Generates random lorem ipsum text
Summary: Review Request: lorem-ipsum-generator - Generates random lorem ipsum text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-14 15:48 UTC by Jean-Francois Saucier
Modified: 2010-01-19 19:46 UTC (History)
4 users (show)

Fixed In Version: 0.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-19 19:39:07 UTC
Type: ---
cwickert: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jean-Francois Saucier 2010-01-14 15:48:36 UTC
Spec URL: http://jfsaucier.fedorapeople.org/packages/lorem-ipsum-generator.spec
SRPM URL: http://jfsaucier.fedorapeople.org/packages/lorem-ipsum-generator-0.3-1.fc12.src.rpm
Description: 
Lorem Ipsum Generator provides a GTK+ graphical user interface, a command-line
interface, and a Python module that generate random "lorem ipsum" text. The
Lorem Ipsum Generator can produce a given quantity of paragraphs or sentences
of "lorem ipsum" text. "Lorem ipsum" text is also known as "lipsum" text.


rpmlint give no warning/error on spec, srpm and rpm.


The koji scratch build are all fine for F-11, F-12 and rawhide :
- http://koji.fedoraproject.org/koji/taskinfo?taskID=1921200
- http://koji.fedoraproject.org/koji/taskinfo?taskID=1921206
- http://koji.fedoraproject.org/koji/taskinfo?taskID=1921211


Here is what the two patches do :

lorem-ipsum-generator_fix_installed_files.patch : remove a Windows only file. Also, remove the hardcoded path for documentation.

lorem-ipsum-generator_fix_desktop_file.patch : fix the syntax of the desktop file to comply with the guidelines.


Thank you!

Comment 1 Christoph Wickert 2010-01-15 18:35:02 UTC
A great program, I always felt we need something like this. Stay tuned for a review.

Comment 2 Susi Lehtola 2010-01-16 00:27:06 UTC
You can start by making
 %{python_sitelib}/*
more explicit, since the above version doesn't fail e.g. when eggs aren't built..

Comment 3 Christoph Wickert 2010-01-16 01:41:17 UTC
Review for 
3fe95c3aed0cbab2a07fc24d2988da5a  lorem-ipsum-generator-0.3-1.fc12.src.rpm


OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/lorem-ipsum-generator-0.3-1.fc13.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (BSD)
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 318b3c890ffa575c6467d033785b2f0f
OK - MUST: successfully compiles and builds into binary rpms on x86_64
OK - MUST: No ExcludeArch
OK - MUST: all build depenencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly validated with desktop-file-validate in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - SourceURL valid


Issues: 
- As Jussi pointed out, the files section should be more explicit

- You are running the install command twice:
python setup.py install --skip-build --root $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

- There are some issues with the desktop file:
1. There is no icon because there is no "python" icon
2. Why is StartupNotify set to false?
3. Should IMHO have the additional category "TextTools" (if this is no text tool, what then?)

- Hint: Patches are usually named %{name}-%{version}-what-it-does.patch, where version is the version the patch was introduced.

Comment 4 Christoph Wickert 2010-01-16 02:13:07 UTC
One more thing: Please add TODO to the docs.

Comment 5 Jean-Francois Saucier 2010-01-16 02:54:24 UTC
Spec URL: http://jfsaucier.fedorapeople.org/packages/lorem-ipsum-generator.spec
SRPM URL:
http://jfsaucier.fedorapeople.org/packages/lorem-ipsum-generator-0.3-2.fc12.src.rpm


> - As Jussi pointed out, the files section should be more explicit

I think it's good now.


> - You are running the install command twice:

Fixed. Don't know how I miss this one.


> 1. There is no icon because there is no "python" icon

My fault, I have a theme that provide such an icon. I replaced it with the generic gnome-mime-text-x-python since the package doesn't provide one.


> 2. Why is StartupNotify set to false?

I removed this from the desktop file. I based my desktop file from another program and I forgot to remove this line before doing the patch.


> 3. Should IMHO have the additional category "TextTools" (if this is no text tool, what then?)

Yes, you are right! This tool fits right in that category. I added it to the desktop file.


> - Hint: Patches are usually named %{name}-%{version}-what-it-does.patch

Changed. Thanks for pointing this out.


> One more thing: Please add TODO to the docs.

Added!


rpmlint give no warning/error on spec, srpm and rpm.

Build fine in my local mock instance.


Thank you for taking the time to review this package!

Comment 6 Christoph Wickert 2010-01-16 03:15:47 UTC
OK - %files section fixed
OK - desktop file fixed
OK - renamed patches
OK - docs are complete

APPROVED

Comment 7 Jean-Francois Saucier 2010-01-16 05:27:16 UTC
Thank you!


New Package CVS Request
=======================
Package Name: lorem-ipsum-generator
Short Description: Generates random lorem ipsum text
Owners: jfsaucier
Branches: F-11 F-12
InitialCC:

Comment 8 Jason Tibbitts 2010-01-16 22:27:40 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-01-16 23:29:13 UTC
lorem-ipsum-generator-0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lorem-ipsum-generator-0.3-2.fc11

Comment 10 Fedora Update System 2010-01-16 23:30:08 UTC
lorem-ipsum-generator-0.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lorem-ipsum-generator-0.3-2.fc12

Comment 11 Fedora Update System 2010-01-19 19:39:02 UTC
lorem-ipsum-generator-0.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-01-19 19:46:00 UTC
lorem-ipsum-generator-0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.